# Class SignedWitnessStore

#### Hierarchy

- unknown
  - SignedWitnessStore

- Defined in src/protobuf/pb_pb.d.ts:5597
- Defined in src/protobuf/pb_pb.d.ts:5611

#####
Index

### Constructors

constructor

### Methods

addItems
clearItemsList
getItemsList
serializeBinary
setItemsList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SignedWitnessStore(): SignedWitnessStore

- #### Returns SignedWitnessStore

  Inherited from jspb.Message.constructor

## Methods

### addItems

- addItems(value?: SignedWitness, index?: number): SignedWitness

- #### Parameters

  - ##### `Optional` value: SignedWitness

  - ##### `Optional` index: number

  #### Returns SignedWitness

  - Defined in src/protobuf/pb_pb.d.ts:5601

### clearItemsList

- clearItemsList(): SignedWitnessStore

- #### Returns SignedWitnessStore

  - Defined in src/protobuf/pb_pb.d.ts:5600

### getItemsList

- getItemsList(): SignedWitness[]

- #### Returns SignedWitness[]

  - Defined in src/protobuf/pb_pb.d.ts:5598

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5603

### setItemsList

- setItemsList(value: SignedWitness[]): SignedWitnessStore

- #### Parameters

  - ##### value: SignedWitness[]

  #### Returns SignedWitnessStore

  - Defined in src/protobuf/pb_pb.d.ts:5599

### toObject

- toObject(includeInstance?: boolean): SignedWitnessStore.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SignedWitnessStore.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5604

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignedWitnessStore

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignedWitnessStore

  - Defined in src/protobuf/pb_pb.d.ts:5607

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignedWitnessStore, reader: BinaryReader): SignedWitnessStore

- #### Parameters

  - ##### message: SignedWitnessStore

  - ##### reader: BinaryReader

  #### Returns SignedWitnessStore

  - Defined in src/protobuf/pb_pb.d.ts:5608

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SignedWitnessStore, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SignedWitnessStore

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5606

### `Static` toObject

- toObject(includeInstance: boolean, msg: SignedWitnessStore): SignedWitnessStore.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignedWitnessStore

  #### Returns SignedWitnessStore.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5605

Generated using TypeDoc